#include <bits/stdc++.h>

using namespace std;
const int N=1e5+45;
typedef long long ll;
ll n,a[N],b[N],i;
char s[N];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n;
    for(i=1;i<n;i++)
    {
        cin>>a[i]>>b[i]>>s[i];
    }
    cout<<3<<endl;
    return 0;
}